Name:           gnome-tweak-tool
Version:        3.0.0
Release:        1%{?dist}
Summary:        A tool to customize advanced GNOME 3 options

License:        GPLv3
URL:            http://live.gnome.org/GnomeTweakTool
Source0:        http://ftp.gnome.org/pub/gnome/sources/gnome-tweak-tool/3.0/gnome-tweak-tool-%{version}.tar.bz2
# http://article.gmane.org/gmane.comp.gnome.shell/3113
Source1:	%{name}-3.0.0-autogen.sh
Patch0:         %{name}-3.0.0-fix-localization.patch

BuildArch:      noarch
BuildRequires:  GConf2
BuildRequires:  intltool
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  desktop-file-utils
# until the patch is dropped when 3.0.1 comes out
BuildRequires:  gnome-common
Requires:       gnome-shell

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing


%prep
%setup -q
%patch0 -p1 -b .fix-localization
cp -p %{SOURCE1} autogen.sh


%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root,-)
# License not included in source
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{python_sitelib}/gtweak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}


%changelog
* Mon Apr  4 2011 Michel Salim <salimma@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-2
- Enable icon theme selection

* Fri Mar 25 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.93-1
- Update to 2.91.93

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-3
- Include license information

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-2
- Use %%configure macro
- Validate desktop file

* Mon Mar 21 2011 Michel Salim <salimma@fedoraproject.org> - 2.91.92-1
- Initial package
